Page MenuHomePhabricator

Update of the dbus calls of the upower module.
ClosedPublic

Authored by thierry1970 on Jun 24 2018, 12:46 AM.

Diff Detail

Repository
rE core/enlightenment
Branch
work
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6705
Build 6778: arc lint + arc unit
thierry1970 created this revision.Jun 24 2018, 12:46 AM
thierry1970 requested review of this revision.Jun 24 2018, 12:46 AM
stephenmhouston requested changes to this revision.Jun 25 2018, 6:08 AM
stephenmhouston added a reviewer: stephenmhouston.

This will also need to update the battery upower code in the sysinfo gadget. src/modules/sysinfo/batman

This revision now requires changes to proceed.Jun 25 2018, 6:09 AM
zmike requested changes to this revision.Jun 25 2018, 9:04 AM
zmike added inline comments.
src/modules/battery/e_mod_upower.c
239–240

nit: Please follow existing formatting in the file; we do not use same-line braces.

245

nit: Please follow existing formatting in the file; we do not use same-line braces.

369

nit: Please follow existing formatting in the file; we do not use same-line braces.

375

nit: Please follow existing formatting in the file; we do not use same-line braces.

  • Using existing formatting.
stephenmhouston requested changes to this revision.Jun 26 2018, 10:19 AM
  • Using existing formatting.

You still need to also update src/modules/sysinfo/batman upower code.

This revision now requires changes to proceed.Jun 26 2018, 10:19 AM

I think that's outside the scope of this patch, he's just upstreaming some internal patches from ordissimo.

zmike accepted this revision.Jun 26 2018, 12:17 PM

I did that.
Everything comes out of the Ordissimo frame, we are still under E17.
We just went to efl-1.20.

  • Using existing formatting.
  • Update src/modules/sysinfo/batman upower code.
zmike added a comment.Jun 27 2018, 4:59 AM

Oh wow, this was unexpected. Thanks!!

@stephenmhouston this patch is good for me, will wait on you to review+land.

  • Using existing formatting.
  • Oops, an oversight.
stephenmhouston accepted this revision.Aug 8 2018, 7:08 AM
This revision is now accepted and ready to land.Aug 8 2018, 7:08 AM